import tkinter as tk

class Ball:
   def __init__(self, x, y, dx, dy, color):
    self.x = x
    self.y = y
    self.dx = dx
    self.dy = dy
    self.color = color

   def move(self, canvas):
    canvas.create_oval(self.x-2, self.y-2, self.x+2, self.y+2, fill="white", width=0)
    self.x = self.x + self.dx
    self.y = self.y + self.dy
    canvas.create_oval(self.x-2, self.y-2, self.x+2, self.y+2, fill=self.color, width=0)

# 指定の一に達するとボールが停止するようにする
    
    if self.x == 100:
        self.dx =0
    if self.x == 600:
        self.dx =0
    if self.x == 750:
        self.dx =0
    if self.x == 1300:
        self.dx=0
    if self.x == 1400:
        self.dx =0
    if self.y == 200:
        self.dy =0
    if self.y == 500:
        self.dy =0
    if self.y == 700:
        self.dy =0
# キャンバスのサイズを決める
root = tk.Tk()
root.geometry("1500x1000")

canvas = tk.Canvas(root, width=1500, height=1000, bg="black")
canvas.place(x=0, y=0)
# ボールを動かす

balls = [Ball(100, 50, 1, 1, "white"),
         Ball(300, 50, 1, 1, "white"),
         Ball(600, 50, -1, 1, "white"),
         Ball(100, 200, 0, 1, "white"),
         Ball(600, 200, 0, 1, "white"),
         Ball(100, 500, 1, 0, "white"),
         Ball(350, 200, 0, 1, "white"),
         Ball(350, 501, 0, 1, "white"),
         Ball(100, 600, 1, 0, "white"),
         Ball(100, 350, 1, 0, "white"),
         Ball(900, 50, -1, 1, "white"),
         Ball(750, 200, -1, 1, "white"),
         Ball(750, 200, 0, 1, "white"),
         Ball(750, 500, 0, 1, "white"),
         Ball(1100, 50, 0, 1, "white"),
         Ball(900, 200, 1, 0, "white"),
         Ball(1000, 200, 0, 1, "white"),
         Ball(1200, 200, 0, 1, "white"),
         Ball(1000, 500, 0, 1, "white"),
         Ball(1200, 500, 0, 1, "white"),
         Ball(800, 700, 1, 0, "white"),
         Ball(1300, 700, 1, 0, "white")]

def loop():
    for b in balls:
        b.move(canvas)
    root.after(10, loop)

root.after(10, loop)
root.mainloop() 
